<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ManifestMergeSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ManifestMergeSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/java/archives/ManifestMergeDetails.html" title="interface in org.gradle.api.java.archives"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/java/archives/ManifestMergeSpec.html" target="_top">Frames</a></li>
<li><a href="ManifestMergeSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.java.archives</div>
<h2 title="Interface ManifestMergeSpec" class="title">Interface ManifestMergeSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">ManifestMergeSpec</span></pre>
<div class="block">Specifies how the entries of multiple manifests should be merged together.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html" title="interface in org.gradle.api.java.archives">ManifestMergeSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html#eachEntry(org.gradle.api.Action)">eachEntry</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/java/archives/ManifestMergeDetails.html" title="interface in org.gradle.api.java.archives">ManifestMergeDetails</a>&gt;&nbsp;mergeAction)</code>
<div class="block">Adds an action to be applied to each key-value tuple in a merge operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html" title="interface in org.gradle.api.java.archives">ManifestMergeSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html#eachEntry(groovy.lang.Closure)">eachEntry</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;mergeAction)</code>
<div class="block">Adds an action to be applied to each key-value tuple in a merge operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html" title="interface in org.gradle.api.java.archives">ManifestMergeSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html#from(java.lang.Object...)">from</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;mergePaths)</code>
<div class="block">Adds a merge path to a manifest that should be merged into the base manifest.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html#getContentCharset()">getContentCharset</a></strong>()</code>
<div class="block">The character set used to decode the merged manifest content.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html#setContentCharset(java.lang.String)">setContentCharset</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;contentCharset)</code>
<div class="block">The character set used to decode the merged manifest content.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getContentCharset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContentCharset</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getContentCharset()</pre>
<div class="block">The character set used to decode the merged manifest content.
 Defaults to UTF-8.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the character set used to decode the merged manifest content</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.14</dd></dl>
</li>
</ul>
<a name="setContentCharset(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setContentCharset</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;setContentCharset(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;contentCharset)</pre>
<div class="block">The character set used to decode the merged manifest content.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>contentCharset</code> - the character set used to decode the merged manifest content</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.14</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html#getContentCharset()"><code>getContentCharset()</code></a></dd></dl>
</li>
</ul>
<a name="from(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>from</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html" title="interface in org.gradle.api.java.archives">ManifestMergeSpec</a>&nbsp;from(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;mergePaths)</pre>
<div class="block">Adds a merge path to a manifest that should be merged into the base manifest. A merge path can be either another
 <a href="../../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a> or a path that is evaluated as per
 <a href="../../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a> . If multiple merge paths are specified, the manifest are merged
 in the order in which they are added.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>mergePaths</code> - The paths of manifests to be merged</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="eachEntry(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eachEntry</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html" title="interface in org.gradle.api.java.archives">ManifestMergeSpec</a>&nbsp;eachEntry(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/java/archives/ManifestMergeDetails.html" title="interface in org.gradle.api.java.archives">ManifestMergeDetails</a>&gt;&nbsp;mergeAction)</pre>
<div class="block">Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified,
 the action is called for each key-value tuple of each merge operation. The given action is called with a
 <a href="../../../../../org/gradle/api/java/archives/ManifestMergeDetails.html" title="interface in org.gradle.api.java.archives"><code>ManifestMergeDetails</code></a> as its parameter. Actions are executed
 in the order added.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>mergeAction</code> - A merge action to be executed.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="eachEntry(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eachEntry</h4>
<pre><a href="../../../../../org/gradle/api/java/archives/ManifestMergeSpec.html" title="interface in org.gradle.api.java.archives">ManifestMergeSpec</a>&nbsp;eachEntry(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&lt;?&gt;&nbsp;mergeAction)</pre>
<div class="block">Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified,
 the action is called for each key-value tuple of each merge operation. The given closure is called with a
 <a href="../../../../../org/gradle/api/java/archives/ManifestMergeDetails.html" title="interface in org.gradle.api.java.archives"><code>ManifestMergeDetails</code></a> as its parameter. Actions are executed
 in the order added.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>mergeAction</code> - The action to execute.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/java/archives/ManifestMergeDetails.html" title="interface in org.gradle.api.java.archives"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/java/archives/ManifestMergeSpec.html" target="_top">Frames</a></li>
<li><a href="ManifestMergeSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
